package org.framework.lazy.cloud.network.heartbeat.server.standalone.application;

import org.wu.framework.web.response.Result;
import org.wu.framework.web.response.ResultFactory;
import org.framework.lazy.cloud.network.heartbeat.server.standalone.domain.model.lazy.internal.network.server.permeate.mapping.LazyInternalNetworkServerPermeateMapping;
import org.framework.lazy.cloud.network.heartbeat.server.standalone.application.command.lazy.internal.network.server.permeate.mapping.LazyInternalNetworkServerPermeateMappingRemoveCommand;
import org.framework.lazy.cloud.network.heartbeat.server.standalone.application.command.lazy.internal.network.server.permeate.mapping.LazyInternalNetworkServerPermeateMappingStoryCommand;
import org.framework.lazy.cloud.network.heartbeat.server.standalone.application.command.lazy.internal.network.server.permeate.mapping.LazyInternalNetworkServerPermeateMappingUpdateCommand;
import org.framework.lazy.cloud.network.heartbeat.server.standalone.application.command.lazy.internal.network.server.permeate.mapping.LazyInternalNetworkServerPermeateMappingQueryListCommand;
import org.framework.lazy.cloud.network.heartbeat.server.standalone.application.command.lazy.internal.network.server.permeate.mapping.LazyInternalNetworkServerPermeateMappingQueryOneCommand;
import org.framework.lazy.cloud.network.heartbeat.server.standalone.application.dto.LazyInternalNetworkServerPermeateMappingDTO;
import java.util.List;
import org.wu.framework.lazy.orm.database.lambda.domain.LazyPage;
/**
 * describe 服务端网络渗透映射 
 *
 * @author Jia wei Wu
 * @date 2024/09/17 01:35 下午
 * @see org.wu.framework.lazy.orm.core.persistence.reverse.lazy.ddd.DefaultDDDLazyApplication 
 **/

public interface LazyInternalNetworkServerPermeateMappingApplication {


    /**
     * describe 新增服务端网络渗透映射
     *
     * @param lazyInternalNetworkServerPermeateMappingStoryCommand 新增服务端网络渗透映射     
     * @return {@link Result<LazyInternalNetworkServerPermeateMapping>} 服务端网络渗透映射新增后领域对象     
     
     * @author Jia wei Wu
     * @date 2024/09/17 01:35 下午
     **/

    Result<LazyInternalNetworkServerPermeateMapping> story(LazyInternalNetworkServerPermeateMappingStoryCommand lazyInternalNetworkServerPermeateMappingStoryCommand);

    /**
     * describe 批量新增服务端网络渗透映射
     *
     * @param lazyInternalNetworkServerPermeateMappingStoryCommandList 批量新增服务端网络渗透映射     
     * @return {@link Result<List<LazyInternalNetworkServerPermeateMapping>>} 服务端网络渗透映射新增后领域对象集合     
     
     * @author Jia wei Wu
     * @date 2024/09/17 01:35 下午
     **/

    Result<List<LazyInternalNetworkServerPermeateMapping>> batchStory(List<LazyInternalNetworkServerPermeateMappingStoryCommand> lazyInternalNetworkServerPermeateMappingStoryCommandList);

    /**
     * describe 更新服务端网络渗透映射
     *
     * @param lazyInternalNetworkServerPermeateMappingUpdateCommand 更新服务端网络渗透映射     
     * @return {@link Result<LazyInternalNetworkServerPermeateMapping>} 服务端网络渗透映射领域对象     
     
     * @author Jia wei Wu
     * @date 2024/09/17 01:35 下午
     **/

    Result<LazyInternalNetworkServerPermeateMapping> updateOne(LazyInternalNetworkServerPermeateMappingUpdateCommand lazyInternalNetworkServerPermeateMappingUpdateCommand);

    /**
     * describe 查询单个服务端网络渗透映射
     *
     * @param lazyInternalNetworkServerPermeateMappingQueryOneCommand 查询单个服务端网络渗透映射     
     * @return {@link Result<LazyInternalNetworkServerPermeateMappingDTO>} 服务端网络渗透映射DTO对象     
     
     * @author Jia wei Wu
     * @date 2024/09/17 01:35 下午
     **/

    Result<LazyInternalNetworkServerPermeateMappingDTO> findOne(LazyInternalNetworkServerPermeateMappingQueryOneCommand lazyInternalNetworkServerPermeateMappingQueryOneCommand);

    /**
     * describe 查询多个服务端网络渗透映射
     *
     * @param lazyInternalNetworkServerPermeateMappingQueryListCommand 查询多个服务端网络渗透映射     
     * @return {@link Result <List<LazyInternalNetworkServerPermeateMappingDTO>>} 服务端网络渗透映射DTO对象     
     
     * @author Jia wei Wu
     * @date 2024/09/17 01:35 下午
     **/

    Result <List<LazyInternalNetworkServerPermeateMappingDTO>> findList(LazyInternalNetworkServerPermeateMappingQueryListCommand lazyInternalNetworkServerPermeateMappingQueryListCommand);

    /**
     * describe 分页查询多个服务端网络渗透映射
     *
     * @param lazyInternalNetworkServerPermeateMappingQueryListCommand 分页查询多个服务端网络渗透映射     
     * @return {@link Result <LazyPage<LazyInternalNetworkServerPermeateMappingDTO>>} 分页服务端网络渗透映射DTO对象     
     
     * @author Jia wei Wu
     * @date 2024/09/17 01:35 下午
     **/

    Result <LazyPage<LazyInternalNetworkServerPermeateMappingDTO>> findPage(int size,int current,LazyInternalNetworkServerPermeateMappingQueryListCommand lazyInternalNetworkServerPermeateMappingQueryListCommand);

    /**
     * describe 删除服务端网络渗透映射
     *
     * @param lazyInternalNetworkServerPermeateMappingRemoveCommand 删除服务端网络渗透映射     
     * @return {@link Result<LazyInternalNetworkServerPermeateMapping>} 服务端网络渗透映射     
     
     * @author Jia wei Wu
     * @date 2024/09/17 01:35 下午
     **/

    Result<LazyInternalNetworkServerPermeateMapping> remove(LazyInternalNetworkServerPermeateMappingRemoveCommand lazyInternalNetworkServerPermeateMappingRemoveCommand);


    /**
     * 初始化 网络渗透socket
     * @return
     */
    Result<?> initPermeateSocket();
}