package org.framework.lazy.cloud.network.heartbeat.server.standalone.application.assembler;

import org.framework.lazy.cloud.network.heartbeat.server.standalone.domain.model.lazy.netty.server.permeate.port.pool.LazyNettyServerPermeatePortPool;
import org.framework.lazy.cloud.network.heartbeat.server.standalone.application.command.lazy.netty.server.permeate.port.pool.LazyNettyServerPermeatePortPoolRemoveCommand;
import org.framework.lazy.cloud.network.heartbeat.server.standalone.application.command.lazy.netty.server.permeate.port.pool.LazyNettyServerPermeatePortPoolStoryCommand;
import org.framework.lazy.cloud.network.heartbeat.server.standalone.application.command.lazy.netty.server.permeate.port.pool.LazyNettyServerPermeatePortPoolUpdateCommand;
import org.framework.lazy.cloud.network.heartbeat.server.standalone.application.command.lazy.netty.server.permeate.port.pool.LazyNettyServerPermeatePortPoolQueryListCommand;
import org.framework.lazy.cloud.network.heartbeat.server.standalone.application.command.lazy.netty.server.permeate.port.pool.LazyNettyServerPermeatePortPoolQueryOneCommand;
import org.framework.lazy.cloud.network.heartbeat.server.standalone.application.dto.LazyNettyServerPermeatePortPoolDTO;
import org.mapstruct.factory.Mappers;
import org.mapstruct.Mapper;
/**
 * describe 服务端内网渗透端口池 
 *
 * @author Jia wei Wu
 * @date 2024/09/17 01:26 夜间
 * @see org.wu.framework.lazy.orm.core.persistence.reverse.lazy.ddd.DefaultDDDLazyAssembler 
 **/
@Mapper
public interface LazyNettyServerPermeatePortPoolDTOAssembler {


    /**
     * describe MapStruct 创建的代理对象
     *
     
     
     
     * @author Jia wei Wu
     * @date 2024/09/17 01:26 夜间
     **/
    LazyNettyServerPermeatePortPoolDTOAssembler INSTANCE = Mappers.getMapper(LazyNettyServerPermeatePortPoolDTOAssembler.class);
    /**
     * describe 应用层存储入参转换成 领域对象
     *
     * @param lazyNettyServerPermeatePortPoolStoryCommand 保存服务端内网渗透端口池对象     
     * @return {@link LazyNettyServerPermeatePortPool} 服务端内网渗透端口池领域对象     
     
     * @author Jia wei Wu
     * @date 2024/09/17 01:26 夜间
     **/
     LazyNettyServerPermeatePortPool toLazyNettyServerPermeatePortPool(LazyNettyServerPermeatePortPoolStoryCommand lazyNettyServerPermeatePortPoolStoryCommand);
    /**
     * describe 应用层更新入参转换成 领域对象
     *
     * @param lazyNettyServerPermeatePortPoolUpdateCommand 更新服务端内网渗透端口池对象     
     * @return {@link LazyNettyServerPermeatePortPool} 服务端内网渗透端口池领域对象     
     
     * @author Jia wei Wu
     * @date 2024/09/17 01:26 夜间
     **/
     LazyNettyServerPermeatePortPool toLazyNettyServerPermeatePortPool(LazyNettyServerPermeatePortPoolUpdateCommand lazyNettyServerPermeatePortPoolUpdateCommand);
    /**
     * describe 应用层查询入参转换成 领域对象
     *
     * @param lazyNettyServerPermeatePortPoolQueryOneCommand 查询单个服务端内网渗透端口池对象参数     
     * @return {@link LazyNettyServerPermeatePortPool} 服务端内网渗透端口池领域对象     
     
     * @author Jia wei Wu
     * @date 2024/09/17 01:26 夜间
     **/
     LazyNettyServerPermeatePortPool toLazyNettyServerPermeatePortPool(LazyNettyServerPermeatePortPoolQueryOneCommand lazyNettyServerPermeatePortPoolQueryOneCommand);
    /**
     * describe 应用层查询入参转换成 领域对象
     *
     * @param lazyNettyServerPermeatePortPoolQueryListCommand 查询集合服务端内网渗透端口池对象参数     
     * @return {@link LazyNettyServerPermeatePortPool} 服务端内网渗透端口池领域对象     
     
     * @author Jia wei Wu
     * @date 2024/09/17 01:26 夜间
     **/
     LazyNettyServerPermeatePortPool toLazyNettyServerPermeatePortPool(LazyNettyServerPermeatePortPoolQueryListCommand lazyNettyServerPermeatePortPoolQueryListCommand);
    /**
     * describe 应用层删除入参转换成 领域对象
     *
     * @param lazyNettyServerPermeatePortPoolRemoveCommand 删除服务端内网渗透端口池对象参数     
     * @return {@link LazyNettyServerPermeatePortPool} 服务端内网渗透端口池领域对象     
     
     * @author Jia wei Wu
     * @date 2024/09/17 01:26 夜间
     **/
     LazyNettyServerPermeatePortPool toLazyNettyServerPermeatePortPool(LazyNettyServerPermeatePortPoolRemoveCommand lazyNettyServerPermeatePortPoolRemoveCommand);
    /**
     * describe 持久层领域对象转换成DTO对象
     *
     * @param lazyNettyServerPermeatePortPool 服务端内网渗透端口池领域对象     
     * @return {@link LazyNettyServerPermeatePortPoolDTO} 服务端内网渗透端口池DTO对象     
     
     * @author Jia wei Wu
     * @date 2024/09/17 01:26 夜间
     **/
     LazyNettyServerPermeatePortPoolDTO fromLazyNettyServerPermeatePortPool(LazyNettyServerPermeatePortPool lazyNettyServerPermeatePortPool);
}