package org.framework.lazy.cloud.network.heartbeat.server.standalone.domain.model.internal.network.penetration.mapping;

import org.wu.framework.lazy.orm.database.lambda.domain.LazyPage;
import org.wu.framework.web.response.Result;
import org.wu.framework.lazy.orm.core.persistence.reverse.lazy.ddd.DefaultDDDLazyDomainRepository;

import java.util.List;

/**
 * describe 内网穿透映射
 *
 * @author Jia wei Wu
 * @date 2023/12/29 05:21 下午
 * @see DefaultDDDLazyDomainRepository
 **/

public interface LazyInternalNetworkPenetrationMappingRepository {


    /**
     * describe 新增内网穿透映射
     *
     * @param lazyInternalNetworkPenetrationMapping 新增内网穿透映射
     * @return {@link  Result< LazyInternalNetworkPenetrationMapping >} 内网穿透映射新增后领域对象
     * @author Jia wei Wu
     * @date 2023/12/29 05:21 下午
     **/

    Result<LazyInternalNetworkPenetrationMapping> story(LazyInternalNetworkPenetrationMapping lazyInternalNetworkPenetrationMapping);

    /**
     * describe 批量新增内网穿透映射
     *
     * @param lazyInternalNetworkPenetrationMappingList 批量新增内网穿透映射
     * @return {@link Result<List< LazyInternalNetworkPenetrationMapping >>} 内网穿透映射新增后领域对象集合
     * @author Jia wei Wu
     * @date 2023/12/29 05:21 下午
     **/

    Result<List<LazyInternalNetworkPenetrationMapping>> batchStory(List<LazyInternalNetworkPenetrationMapping> lazyInternalNetworkPenetrationMappingList);

    /**
     * describe 查询单个内网穿透映射
     *
     * @param lazyInternalNetworkPenetrationMapping 查询单个内网穿透映射
     * @return {@link Result< LazyInternalNetworkPenetrationMapping >} 内网穿透映射DTO对象
     * @author Jia wei Wu
     * @date 2023/12/29 05:21 下午
     **/

    Result<LazyInternalNetworkPenetrationMapping> findOne(LazyInternalNetworkPenetrationMapping lazyInternalNetworkPenetrationMapping);

    /**
     * describe 查询多个内网穿透映射
     *
     * @param lazyInternalNetworkPenetrationMapping 查询多个内网穿透映射
     * @return {@link Result<List< LazyInternalNetworkPenetrationMapping >>} 内网穿透映射DTO对象
     * @author Jia wei Wu
     * @date 2023/12/29 05:21 下午
     **/

    Result<List<LazyInternalNetworkPenetrationMapping>> findList(LazyInternalNetworkPenetrationMapping lazyInternalNetworkPenetrationMapping);

    /**
     * describe 分页查询多个内网穿透映射
     *
     * @param size                              当前页数
     * @param current                           当前页
     * @param lazyInternalNetworkPenetrationMapping 分页查询多个内网穿透映射
     * @return {@link Result<LazyPage< LazyInternalNetworkPenetrationMapping >>} 分页内网穿透映射领域对象
     * @author Jia wei Wu
     * @date 2023/12/29 05:21 下午
     **/

    Result<LazyPage<LazyInternalNetworkPenetrationMapping>> findPage(int size, int current, LazyInternalNetworkPenetrationMapping lazyInternalNetworkPenetrationMapping);

    /**
     * describe 删除内网穿透映射
     *
     * @param lazyInternalNetworkPenetrationMapping 删除内网穿透映射
     * @return {@link Result< LazyInternalNetworkPenetrationMapping >} 内网穿透映射
     * @author Jia wei Wu
     * @date 2023/12/29 05:21 下午
     **/

    Result<LazyInternalNetworkPenetrationMapping> remove(LazyInternalNetworkPenetrationMapping lazyInternalNetworkPenetrationMapping);

    /**
     * describe 是否存在内网穿透映射
     *
     * @param lazyInternalNetworkPenetrationMapping 是否存在内网穿透映射
     * @return {@link Result<Boolean>} 内网穿透映射是否存在
     * @author Jia wei Wu
     * @date 2023/12/29 05:21 下午
     **/

    Result<Boolean> exists(LazyInternalNetworkPenetrationMapping lazyInternalNetworkPenetrationMapping);

}