package org.framework.lazy.cloud.network.heartbeat.server.standalone.domain.model.lazy.internal.network.server.permeate.mapping;

import org.wu.framework.web.response.Result;
import org.wu.framework.web.response.ResultFactory;
import org.springframework.beans.factory.annotation.Autowired;
import org.framework.lazy.cloud.network.heartbeat.server.standalone.domain.model.lazy.internal.network.server.permeate.mapping.LazyInternalNetworkServerPermeateMapping;
import java.util.List;
import org.wu.framework.lazy.orm.database.lambda.domain.LazyPage;
/**
 * describe 服务端网络渗透映射 
 *
 * @author Jia wei Wu
 * @date 2024/09/17 01:35 下午
 * @see org.wu.framework.lazy.orm.core.persistence.reverse.lazy.ddd.DefaultDDDLazyDomainRepository 
 **/

public interface LazyInternalNetworkServerPermeateMappingRepository {


    /**
     * describe 新增服务端网络渗透映射
     *
     * @param lazyInternalNetworkServerPermeateMapping 新增服务端网络渗透映射     
     * @return {@link  Result<LazyInternalNetworkServerPermeateMapping>} 服务端网络渗透映射新增后领域对象     
     
     * @author Jia wei Wu
     * @date 2024/09/17 01:35 下午
     **/

    Result<LazyInternalNetworkServerPermeateMapping> story(LazyInternalNetworkServerPermeateMapping lazyInternalNetworkServerPermeateMapping);

    /**
     * describe 批量新增服务端网络渗透映射
     *
     * @param lazyInternalNetworkServerPermeateMappingList 批量新增服务端网络渗透映射     
     * @return {@link Result<List<LazyInternalNetworkServerPermeateMapping>>} 服务端网络渗透映射新增后领域对象集合     
     
     * @author Jia wei Wu
     * @date 2024/09/17 01:35 下午
     **/

    Result<List<LazyInternalNetworkServerPermeateMapping>> batchStory(List<LazyInternalNetworkServerPermeateMapping> lazyInternalNetworkServerPermeateMappingList);

    /**
     * describe 查询单个服务端网络渗透映射
     *
     * @param lazyInternalNetworkServerPermeateMapping 查询单个服务端网络渗透映射     
     * @return {@link Result<LazyInternalNetworkServerPermeateMapping>} 服务端网络渗透映射DTO对象     
     
     * @author Jia wei Wu
     * @date 2024/09/17 01:35 下午
     **/

    Result<LazyInternalNetworkServerPermeateMapping> findOne(LazyInternalNetworkServerPermeateMapping lazyInternalNetworkServerPermeateMapping);

    /**
     * describe 查询多个服务端网络渗透映射
     *
     * @param lazyInternalNetworkServerPermeateMapping 查询多个服务端网络渗透映射     
     * @return {@link Result<List<LazyInternalNetworkServerPermeateMapping>>} 服务端网络渗透映射DTO对象     
     
     * @author Jia wei Wu
     * @date 2024/09/17 01:35 下午
     **/

    Result<List<LazyInternalNetworkServerPermeateMapping>> findList(LazyInternalNetworkServerPermeateMapping lazyInternalNetworkServerPermeateMapping);

    /**
     * describe 分页查询多个服务端网络渗透映射
     *
     * @param size 当前页数
     * @param current 当前页
     * @param lazyInternalNetworkServerPermeateMapping 分页查询多个服务端网络渗透映射     
     * @return {@link Result<LazyPage<LazyInternalNetworkServerPermeateMapping>>} 分页服务端网络渗透映射领域对象     
     
     * @author Jia wei Wu
     * @date 2024/09/17 01:35 下午
     **/

    Result<LazyPage<LazyInternalNetworkServerPermeateMapping>> findPage(int size,int current,LazyInternalNetworkServerPermeateMapping lazyInternalNetworkServerPermeateMapping);

    /**
     * describe 删除服务端网络渗透映射
     *
     * @param lazyInternalNetworkServerPermeateMapping 删除服务端网络渗透映射     
     * @return {@link Result<LazyInternalNetworkServerPermeateMapping>} 服务端网络渗透映射     
     
     * @author Jia wei Wu
     * @date 2024/09/17 01:35 下午
     **/

    Result<LazyInternalNetworkServerPermeateMapping> remove(LazyInternalNetworkServerPermeateMapping lazyInternalNetworkServerPermeateMapping);

    /**
     * describe 是否存在服务端网络渗透映射
     *
     * @param lazyInternalNetworkServerPermeateMapping 是否存在服务端网络渗透映射     
     * @return {@link Result<Boolean>} 服务端网络渗透映射是否存在     
     
     * @author Jia wei Wu
     * @date 2024/09/17 01:35 下午
     **/

    Result<Boolean> exists(LazyInternalNetworkServerPermeateMapping lazyInternalNetworkServerPermeateMapping);

}