package org.framework.lazy.cloud.network.heartbeat.server.standalone.infrastructure.converter;

import org.framework.lazy.cloud.network.heartbeat.server.standalone.domain.model.lazy.netty.server.permeate.port.pool.LazyNettyServerPermeatePortPool;
import org.framework.lazy.cloud.network.heartbeat.server.standalone.infrastructure.entity.LazyNettyServerPermeatePortPoolDO;
import org.mapstruct.factory.Mappers;
import org.mapstruct.Mapper;
/**
 * describe 服务端内网渗透端口池 
 *
 * @author Jia wei Wu
 * @date 2024/09/17 01:26 夜间
 * @see org.wu.framework.lazy.orm.core.persistence.reverse.lazy.ddd.DefaultDDDLazyInfrastructureConverter 
 **/
@Mapper
public interface LazyNettyServerPermeatePortPoolConverter {


    /**
     * describe MapStruct 创建的代理对象
     *
     
     
     
     * @author Jia wei Wu
     * @date 2024/09/17 01:26 夜间
     **/
    LazyNettyServerPermeatePortPoolConverter INSTANCE = Mappers.getMapper(LazyNettyServerPermeatePortPoolConverter.class);
    /**
     * describe 实体对象 转换成领域对象
     *
     * @param lazyNettyServerPermeatePortPoolDO 服务端内网渗透端口池实体对象     
     * @return {@link LazyNettyServerPermeatePortPool} 服务端内网渗透端口池领域对象     
     
     * @author Jia wei Wu
     * @date 2024/09/17 01:26 夜间
     **/
    LazyNettyServerPermeatePortPool toLazyNettyServerPermeatePortPool(LazyNettyServerPermeatePortPoolDO lazyNettyServerPermeatePortPoolDO);
    /**
     * describe 领域对象 转换成实体对象
     *
     * @param lazyNettyServerPermeatePortPool 服务端内网渗透端口池领域对象     
     * @return {@link LazyNettyServerPermeatePortPoolDO} 服务端内网渗透端口池实体对象     
     
     * @author Jia wei Wu
     * @date 2024/09/17 01:26 夜间
     **/
     LazyNettyServerPermeatePortPoolDO fromLazyNettyServerPermeatePortPool(LazyNettyServerPermeatePortPool lazyNettyServerPermeatePortPool); 
}